package dev.fitko.fitconnect.client.cmd.commands;

import com.beust.jcommander.Parameter;
import com.beust.jcommander.Parameters;

import static dev.fitko.fitconnect.client.cmd.commands.SendBatchCommand.SEND_BATCH_CMD_NAME;

@Parameters(
        commandNames = {SEND_BATCH_CMD_NAME},
        commandDescription = "Send a batch of configured submissions from a csv file",
        separators = "="
)
public class SendBatchCommand {

    public static final String SEND_BATCH_CMD_NAME = "batch";

    @Parameter(names = { "--data" }, description = "Submission data as csv", arity = 1, required = true)
    public String dataPath;

}
